select top 10 * from Sales.SalesOrderHeader;

with CTE1 as
(
	select year(OrderDate) as OrderYear, CustomerId
	from Sales.SalesOrderHeader
),
CTE2 as
(
	select OrderYear, Count(distinct CustomerId) as NumCusts
	from CTE1
	group by OrderYear
)
select OrderYear, NumCusts
from CTE2;